Update employee information
Updates the employee number recorded for a Global Payroll worker. Use it when only the employee number needs to change; to change the home address, use PATCH /gp/workers/{worker_id}/address, and to change the country-specific contract details of the worker, use PATCH /gp/workers/contracts/{contract_id}/additional-information.
Token scopes: people:write
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.deel.training/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
worker_id
Unique identifier for a worker in UUID format.
Request
This endpoint expects an object.
data
Response
Successful operation.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error